%define oname libkdegames

Summary:	KDE Frameworks 5 games library
Name:		plasma5-%{oname}
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5archive-devel
BuildRequires:	kf5bookmarks-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5dnssd-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5jobwidgets-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(sndfile)

%description
KDE Frameworks 5 games library.

%files
%dir %{_kde5_datadir}/carddecks/
%{_kde5_datadir}/carddecks/*
%{_kde5_datadir}/kconf_update/kgthemeprovider-migration.upd

#----------------------------------------------------------------------------

%package i18n
Summary:	The Analitza library translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
The Analitza library translations.

%files i18n -f libkdegames5.lang

#----------------------------------------------------------------------------

%define qmlkf5kdegames %mklibname kf5kdegames-qml

%package -n %{qmlkf5kdegames}
Summary:	QML plugin for KDE Frameworks 5 games
Group:		System/Libraries
Provides:	kf5kdegames-qml = %{EVRD}

%description -n %{qmlkf5kdegames}
QML plugin for KDE Frameworks 5 games.

%files -n %{qmlkf5kdegames}
%dir %{_kde5_qmldir}/org/kde/games/
%{_kde5_qmldir}/org/kde/games/*

#----------------------------------------------------------------------------

%define kf5kdegames_major 7
%define libkf5kdegames %mklibname kf5kdegames %{kf5kdegames_major}

%package -n %{libkf5kdegames}
Summary:	KDE Frameworks 5 games shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n
Requires:	kf5kdegames-qml

%description -n %{libkf5kdegames}
KDE Frameworks 5 games shared library.

%files -n %{libkf5kdegames}
%{_kde5_libdir}/libKF5KDEGames.so.%{kf5kdegames_major}*

#----------------------------------------------------------------------------

%define kf5kdegamesprivate_major 1
%define libkf5kdegamesprivate %mklibname kf5kdegamesprivate %{kf5kdegamesprivate_major}

%package -n %{libkf5kdegamesprivate}
Summary:	KDE Frameworks 5 games shared library
Group:		System/Libraries

%description -n %{libkf5kdegamesprivate}
KDE Frameworks 5 games shared library.

%files -n %{libkf5kdegamesprivate}
%{_kde5_libdir}/libKF5KDEGamesPrivate.so.%{kf5kdegamesprivate_major}*

#----------------------------------------------------------------------------

%define devkf5kdegames %mklibname kf5kdegames -d

%package -n %{devkf5kdegames}
Summary:	Development files for KDE Frameworks 5 games library
Group:		Development/KDE and Qt
Requires:	%{libkf5kdegames} = %{EVRD}
Requires:	%{libkf5kdegamesprivate} = %{EVRD}
Provides:	kf5kdegames-devel = %{version}

%description -n %{devkf5kdegames}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5kdegames}
%dir %{_kde5_includedir}/KF5/KF5KDEGames
%{_kde5_includedir}/KF5/KF5KDEGames/*
%{_kde5_libdir}/cmake/KF5KDEGames
%{_kde5_libdir}/libKF5KDEGames.so
%{_kde5_libdir}/libKF5KDEGamesPrivate.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang libkdegames5

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (4922f8e) New version 17.08.2


